#include <stdio.h>
#include <stdlib.h>
#include "stringstruct.h"
#include "person.h"

/**
 *  comparepeople asks for two sets of information, and tests if they are the same! 
 */
int main(int argc, char** argv)
{
	char* name1;
	char *name2;
	int age1;
	int age2;
	double weight1;
	double weight2;
	person* p1 = 0;
	person* p2 = 0;

	char c = 0;
	int i = 0;
	int buffersize1 = 1000;
	int buffersize2 = 1000;

	name1 = (char*) malloc(buffersize1);
	name2 = (char*) malloc(buffersize2);
	
	printf("What is the first person's name? >");
	i = 0;
	while ( (c = getchar()) != '\n' )
	{
		if ( i >= buffersize1 )
		{
			buffersize1 += 1000;
			name1 = (char*)realloc(name1, buffersize1);
		}
		
		name1[i] = c;
		i++;
	}
	name1[i] = 0;
	
	printf("What is the first person's age? >");
	scanf("%d", &age1);
	printf("What is the first person's weight? >");
	scanf("%lf", &weight1);	
	
	/* clear line buffer */
	while ( (c = getchar()) != '\n');	

	printf("What is the second person's name? >");
	i = 0;
	while ( (c = getchar()) != '\n' )
	{
		if ( i >= buffersize2 )
		{
			buffersize2 += 1000;
			name2 = (char*)realloc(name2, buffersize2);
		}
		
		name2[i] = c;
		i++;
	}
	name2[i] = 0;
	
	printf("What is the second person's age? >");
	scanf("%d", &age2);
	printf("What is the second person's weight? >");
	scanf("%lf", &weight2);	
	
		
	p1 = initPerson(name1, age1, weight1);
	p2 = initPerson(name2, age2, weight2);
	
	free(name1);
	name1 = 0;
	
	free(name2);
	name2 = 0;
	
	if ( sameName(p1, p2) )
	{
		printf("These people have the same name!\n");
	}
	
	if ( p1->age == p2->age )
	{
		printf("These people have the same age!\n");
	}
	
	if ( p1->weight == p2->weight )
	{
		printf("These people have the same weight!\n");
	}
	
	freePerson(p1);
	p1 = 0;
	
	freePerson(p2);
	p2 = 0;
	
	return 0;
}

