#include <stdlib.h>
#include "stringstruct.h"
#include "person.h"

person* initPerson(char* name, int age, double weight)
{
	person* p = (person*)malloc(sizeof(person));
	
	p->name = initString(name);
	
	p->age = age;
	p->weight = weight;
	
	return p;
}

void freePerson(person* p)
{
	if ( p == 0 )
	{
		return;
	}
	
	if ( p->name != 0 )
	{
		freeString(p->name);
		p->name = 0;
	}
	
	free(p);
}


char sameName(person* p1, person* p2)
{
	/* p1->name is of type string */
	return (strcmp(p1->name->value, p2->name->value) == 0);
}












