#include "stringstruct.h"
#include <stdlib.h>
#include <string.h>

string* initString(char* s)
{
	string* str = (string*) malloc(sizeof(string));

	str->lengthOfString = strlen(s);

	str->lengthOfValue = str->lengthOfString + 1;

	str->value = (char*)malloc(str->lengthOfValue);

	bcopy( s, str->value, str->lengthOfValue );

	return str;
}


void freeString(string* str)
{
	if ( str == 0 )
	{
		return;
	}
	
	if ( str->value != 0 )
	{
		free(str->value);
		str->value = 0;
	}

	free(str);
}
